Skip to main content
`Ctrl`+`K`

# PetscViewerBinaryGetMPIIODescriptor

Extracts the MPI IO file descriptor from a `PetscViewer`.

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerBinaryGetMPIIODescriptor(PetscViewer viewer, MPI_File *fdes)

Not Collective; No Fortran Support

## Input Parameter

- viewer - `PetscViewer` context, obtained from `PetscViewerBinaryOpen()`

## Output Parameter

- fdes - file descriptor

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERBINARY`, `PetscViewerBinaryOpen()`, `PetscViewerBinaryGetInfoPointer()`, `PetscViewerBinaryGetUseMPIIO()`, `PetscViewerBinarySetUseMPIIO()`, `PetscViewerBinaryGetMPIIOOffset()`

## Level

advanced

## Location

src/sys/classes/viewer/impls/binary/binv.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages